export interface PackageData {
    path: string;
    name: string;
}
export declare function getPackages(cmdRes: string): PackageData[];
/**
 * Search a folder for the preferred tsconfig.json file based
 * on the options in tsConfigNames.
 *
 * @param workspacePath Directory to search in
 * @param tsConfigNames List of tsconfig.json files to search for in order
 *    of preference
 */
export declare function getTsConfigPath(workspacePath: string, tsConfigNames: string[]): string | undefined;
/**
 * Calculate the references array for the package
 *
 * @param packagePath Path to the package we are updating references for
 * @param packages Packages the package wants to reference
 * @param tsConfigNames Configured tsconfig file names
 */
export declare function makeReferences(packagePath: string, packages: Array<PackageData | null | undefined>, tsConfigNames: string[]): Array<{
    path: string;
}>;
//# sourceMappingURL=sharedUtils.d.ts.map